# This module contains helpers of the CmsController.
module CmsHelper
  include RailsConnector::DefaultCmsHelper

  def side_menu
    return unless @obj.ancestors.length > 3
    menu(@obj.ancestors.length > 4 ? @obj.ancestors[4] : @obj, @obj,
        :max_depth => 2,
        :menu_id => 'submenu') do |items, level|
      items.reject{|obj| obj.obj_class == "Stylesheet"}.sort_by {|obj| obj[:ip_sortOrder] || ''}
    end
  end

  def value_add_image(obj, attr_name)
    if obj[attr_name] && obj[attr_name][0] && obj[attr_name][0].destination_object
      markup = cms_image_tag(obj[attr_name][0].destination_object,
          :alt => obj.display_title, :style => 'width:180px; margin-bottom:10px;')
    else
      markup = ""
    end
    "<div class='value_add'>#{markup}</div>"
  end

  def value_add_link_list(obj, attr_name, header)
    result = ""
    if obj[attr_name] && !obj[attr_name].empty?
      result = %Q(<div class='box'>
            <div class='box_header'>
              #{header}
            </div>
            <div class='box_content'>
              #{link_list obj[attr_name]}
            </div>
          </div>)
    end
    result
  end

  def page_title
    display_field(@obj, :title)
  end

  def is_playland_homepage?
    !@obj.nil? && (@obj == NamedLink.get_object("homepage_de"))
  end

  def path_to_named_link(namedlink)
    cms_path(NamedLink.get_object(namedlink))
  end
end
