# Be sure to restart your server when you modify this file.

# Uncomment below to force Rails into production mode when
# you don't control web/app server and can't set it the proper way
# ENV['RAILS_ENV'] ||= 'production'

# Specifies gem version of Rails to use when vendor/rails is not present
RAILS_GEM_VERSION = '2.3.5' unless defined? RAILS_GEM_VERSION

# Bootstrap the Rails environment, frameworks, and default configuration
require File.join(File.dirname(__FILE__), 'boot')

Rails::Initializer.run do |config|
  # Settings in config/environments/* take precedence over those specified here.
  # Application configuration should go into files in config/initializers
  # -- all .rb files in that directory are automatically loaded.
  # See Rails::Configuration for more options.

  # Skip frameworks you're not going to use (only works if using vendor/rails).
  # To use Rails without a database, you must remove the Active Record framework
  # config.frameworks -= [ :active_record, :active_resource, :action_mailer ]

  # Only load the plugins named here, in the order given. By default, all plugins
  # in vendor/plugins are loaded in alphabetical order.
  # :all can be used as a placeholder for all plugins not explicitly named
  # config.plugins = [ :exception_notification, :ssl_requirement, :all ]

  # Add additional load paths for your own custom dirs
  # config.load_paths += %W( #{RAILS_ROOT}/extras )
  config.load_paths += Dir["#{RAILS_ROOT}/vendor/gems/**"].map do |dir|
    File.directory?(lib = "#{dir}/lib") ? lib : dir
  end

  # Force all environments to use the same logger level
  # (by default production uses :info, the others :debug)
  # config.log_level = :debug

  # Your secret key for verifying cookie session data integrity.
  # If you change this key, all old sessions will become invalid!
  # Make sure the secret is at least 30 characters and all random,
  # no regular words or you'll be exposed to dictionary attacks.
  config.action_controller.session = {
    :session_key => '_playland_session',
    :secret      => '6dca8fc0b5498cd722bc98669b7f2a9dccb28e7c770e9dc4d355a4d0d37ef7cd1b47aaf65f479fd1cbd5c197fd46160cad1ec2a017aca7bf9f40ddd09a95bbf7'
  }

  # Use the database for sessions instead of the cookie-based default,
  # which shouldn't be used to store highly confidential information
  # (create the session table with 'rake db:sessions:create')
  config.action_controller.session_store = :active_record_store

  dev_loader = RAILS_ROOT+"/lib/development_loader"
  if File.exists?(dev_loader+".rb")
    # special gem loading for Infopark's internal development purposes only
    require dev_loader
    DevelopmentLoader.load_plugins(config,
      RAILS_ROOT+"/../core/vendor/plugins/infopark_rails_connector",
      RAILS_ROOT+"/../addons/vendor/plugins/infopark_rails_connector_addons"
    )
    $LOAD_PATH.insert(0, "/Users/krishane/projekte/omc_connector/ruby/lib")
  else
    # regular gem loading
    config.gem 'infopark_rails_connector', :version => '=6.7.2'
    config.gem "infopark_rails_connector_addons", :version => '=6.7.2'
  end

  config.i18n.default_locale = :de
end

# Add new mime types for use in respond_to blocks:
# Mime::Type.register "text/richtext", :rtf
# Mime::Type.register "application/x-mobile", :mobile
Mime::Type.register "video/mp4", :mp4
Mime::Type.register "audio/mepg", :mp3
Mime::Type.register "video/quicktime", :mov
Mime::Type.register "video/x-m4v", :m4v
Mime::Type.register "audio/x-m4a", :m4a

::ActionMailer::Base

# Include your application configuration below

# Dump registration mail
module ActionMailer
  class Base
    def perform_delivery_cucumber(mail)
      File.open(RAILS_ROOT + '/tmp/confirmation.eml', 'w') do |f|
        f.write(mail)
      end
    end
  end
end
