# Name of the CMS Fiona Instance to access
RailsConnector::Configuration.instance_name = 'default'

# Enable Rails Connector Addons.
# Please refer to the Infopark Knowledge Base for more information on addons.
RailsConnector::Configuration.enable(
  :search,
  :time_machine,
  :pdf_generator,
  :comments,
  :rss,
  :omc,
  :ratings,
  :google_analytics,
  :infopark_tracking,
  :seo_sitemap
)

RailsConnector::Configuration.search_options = {
  :host => 'localhost',
  :port => 3011,
  :collection => 'cm-contents-de'
}

RailsConnector::Configuration::PdfGenerator.host_whitelist('localhost')

RailsConnector::Configuration::Rss.root = Obj.find_by_name('kurzmitteilungen')

# OMC specific configuration:

# Configure OMC connector
OmcConnector.configure do |config|
  port = ENV['OMC_PORT'] || 4000
  config.url = "http://localhost:#{port}"
  config.password = 'testtesttesttesttesttesttesttest'
  config.inquiry = {
    :agent => 'root',
    :owner => 'root'
  }
end

# Registrations can be processed directly (creates a new user) or indirectly (creates an inquiry),
# default is to create an inquiry.
RailsConnector::Configuration.omc_registration_via_inquiry = false

# Re-captcha public/private key pair (used for creating a new user)
# You can get those by signing up at http://recaptcha.net/
# RCC_PUB=""
# RCC_PRIV=""
