ActionController::Routing::Routes.draw do |map|
  map.sitemap 'sitemap', :controller => 'sitemap'
  map.contact 'contact/:action', :controller => 'contact'
  map.comments 'comments/:action/:id', :controller => 'comments'
  map.votes 'votes/:action/:obj_id', :controller => 'votes', :obj_id => nil
  map.podcast_feed 'rss/podcasts.xml', :controller => 'rss', :action => 'podcast_feed'
  map.wiki 'wiki/:id/:action/:name', :controller => 'wiki', :name => nil, :requirements => { :name => /.*/ }

  map.media_id ':id.:format', :controller => 'cms', :action => 'index', :requirements => { :id => /\d+/, :format => /[a-z0-9]+/}

  RailsConnector::Configuration.cms_routes(map)
end
