require File.dirname(__FILE__) + '/../spec_helper'

describe ApplicationController, "admin?" do
  describe "when the user is logged in" do
    before do
      controller.stub!(:logged_in?).and_return(true)
      @attributes = {}
      controller.stub!(:current_user).and_return(
        mock("Contact", :attributes => @attributes)
      )

    end

    it "should return true if the user is in admins group" do
      @attributes["roles"] = ['admins', 'editors']
      controller.send(:admin?).should == true
    end

    it "should return false if the user is not in admins group" do
      @attributes["roles"] = ['editors', 'customers']
      controller.send(:admin?).should == false
    end
  end

  it "should return false if the user is not logged in" do
    controller.stub!(:logged_in?).and_return(false)
    controller.stub!(:current_user).and_return(nil)
    controller.send(:admin?).should == false
  end
end