require File.dirname(__FILE__) + '/../spec_helper'

describe CommentsController, "AJAX /delete for a comment" do
  before do
    Comment.stub!(:find).and_return(@comment = mock_model(Comment))
    @obj = mock_model(Obj)
    @obj.stub!(:allow_comments?).and_return(true)
    @comment.stub!(:obj).and_return(@obj)
    @comment.stub!(:destroy)
  end

  it "should delete the comment" do
    Comment.should_receive(:find).with("7").and_return(@comment)
    @comment.should_receive(:destroy).once
    xhr :post, :delete, :id => "7"
  end

  it "should assign the comment's object and the deleted comment for the view" do
    xhr :post, :delete, :id => "7"
    assigns[:comment].should == @comment
    assigns[:obj].should == @obj
  end

  it "should update the comment area" do
    xhr :post, :delete, :id => "7"
    response.should render_template("delete")
  end
end
