require File.dirname(__FILE__) + '/../spec_helper'

describe UserController do

  describe "attributes for registering and editing" do

    it "should include attributes for address on registering" do
      controller.editable_attributes_on_register[:location].should include(:address0, :city, :postal_code)
    end

    it "should include attributes for address on editing" do
      controller.editable_attributes_on_edit[:location].should include(:address0, :city, :postal_code)
    end

  end

  describe "on registering" do

    it "should set the want_email, want_phonecall, want_snailmail attributes to true" do
      user = OmcConnector::Contact.new
      OmcConnector::Contact.stub!(:new).and_return(user)
      user.stub!(:save)
      user.stub!(:create_diary)
      controller.stub!(:validate_recap).and_return(true)

      post 'new', :user => {}

      user.want_email.should == 1
      user.want_phonecall.should == 1
      user.want_snailmail.should == 1
    end

  end

end
