require File.dirname(__FILE__) + '/../spec_helper'

require 'cms_helper'

describe CmsHelper do
  before(:each) do
    @homepage_obj = mock_model(Obj, :mime_type => 'text/html', :id => 12345)
    NamedLink.stub!(:get_object).with("homepage_de").and_return(@homepage_obj)
  end

  it "should return true if @obj is the homepage_de object" do
    helper.instance_variable_set("@obj",@homepage_obj)
    helper.is_playland_homepage?.should be_true
  end

  it "should return false if @obj is nil" do
    helper.instance_variable_set("@obj",nil)
    helper.is_playland_homepage?.should be_false
  end

  it "should return false if @obj isn't the homepage object" do
    some_obj = mock_model(Obj, :mime_type => 'text/html', :id => 12345)
    helper.instance_variable_set("@obj",some_obj)
    helper.is_playland_homepage?.should be_false
  end

  it "should return cms path for a given named link" do
    obj = mock_model(Obj, :name => 'an_object', :id => 12345)
    NamedLink.stub!(:get_object).with("some_named_link").and_return(obj)
    helper.should_receive(:cms_path).with(obj)
    helper.path_to_named_link("some_named_link")
  end

  it "shold raise an error if given named link does not exist" do
    NamedLink.stub!(:get_object).with('does_not_exist').and_return nil
    lambda {
      helper.path_to_named_link("does_not_exist")
    }.should raise_error

  end

end

