require File.dirname(__FILE__) + '/../../spec_helper'

describe '/cms/newsletter' do
  before do
    obj = mock_model(Obj, :title => 'example title', :body => 'example body')
    obj.should_receive(:[]).with(:body).and_return('example body')
    assigns[:obj] = obj
    template.should_receive(:render).with(:partial => 'toclist')
    render
    @body = response.body
  end

  describe "(link to rss feed)" do
    it "should have correct url" do
      @body.should have_tag('a[href=http://test.host/rss] > img')
    end

    it "should have correct content type" do
      @body.should have_tag('a[type=application/rss+xml] > img')
    end

    it "should have title" do
      @body.should have_tag('a[title=example title abonnieren] > img')
    end
  end

  it "should render body" do
    @body.should include('example body')
  end
end
