require File.dirname(__FILE__) + '/../../spec_helper'

describe "/rss/podcast_feed" do
  before do
    obj = mock_model(Obj,
            :display_title => 'parent',
            :valid_from => 1.minutes.ago,
            :toclist_binary => [
              mock_model(Obj,
                :display_title => 'child_1',
                :file_extension => 'mp4',
                :blob => 'blob_1',
                :body => '_111_',
                :valid_from => 2.minutes.ago
              ),
              mock_model(Obj,
                :display_title => 'child_2',
                :file_extension => 'mp4',
                :blob => 'blob_2',
                :body => '_222_', :valid_from => 5.minutes.ago
              )
            ]
          )
    assigns[:obj] = obj
  end

  it 'should have the title tags of the child objects' do
    render
    # workaround: should have_tag doesn't work for XML
    response.body.should include('<title>child_1</title>')
    response.body.should include('<title>child_2</title>')
  end
end
