require File.dirname(__FILE__) + '/../../spec_helper'

describe "/wiki/edit" do
  before do
    assigns[:obj] = @obj = mock_model(Wiki, :to_param => 123)
    assigns[:page] = @page = mock_model(WikiPage, :body => "BODY", :name => "AnotherPage")
    render "/wiki/edit"
  end

  it "should have a form containing a text area with the body and a save link" do
    response.should have_tag("form[action='/wiki/123/edit/AnotherPage']") do
      with_tag("textarea", "BODY")
      with_tag("a[onclick*='submit()']")
    end
  end

  it "should have a cancel link" do
    response.should have_tag("a[href='/wiki/123/show/AnotherPage']")
  end
end
