require File.dirname(__FILE__) + '/../../spec_helper'

describe "/wiki/index" do
  before do
    assigns[:obj] = @obj = mock_model(Wiki, :title => "Wiki Start Page", :to_param => 123)
    assigns[:page] = @page = mock_model(WikiPage, :body => "BODY", :name => "StartPage")
    template.stub!(:display).and_return("foo")
    template.stub!(:format_wiki_text).and_return("bar")
  end

  def do_render
    render "/wiki/index"
  end

  it "should display the editable Wiki description" do
    template.should_receive(:display).with(@obj, :body).and_return("EDITABLE DESCRIPTION")
    do_render
    response.should have_tag('div', "EDITABLE DESCRIPTION")
  end

  it "should display some formatted starter content" do
    template.should_receive(:format_wiki_text).with("BODY").and_return("FORMATTED BODY")
    do_render
    response.should have_tag('div', "FORMATTED BODY")
  end

  it "should have a link to edit the page" do
    do_render
    response.should have_tag("a[href= '/wiki/123/edit/StartPage']")
  end

  it "should have a link to list all pages" do
    do_render
    response.should have_tag("a[href= '/wiki/123/list']")
  end
end
