require File.dirname(__FILE__) + '/../../spec_helper'

describe "/wiki/list" do
  before do
    assigns[:obj] = @obj = mock_model(Wiki, :to_param => 123)
    assigns[:pages] = @pages = (1..10).collect {|i| mock_model(WikiPage, :name => "Page#{i}") }
    render "/wiki/list"
  end

  it "should have a list of links to all pages with their names" do
    @pages.each do |page|
      response.should have_tag("a[href='/wiki/123/show/#{page.name}']", page.name)
    end
  end

  it "should have a link to the start page" do
    response.should have_tag("a[href= '/wiki/123']")
  end
end
